﻿using System.Web.Mvc;
using Xenta.Attributes;

namespace Xenta.Web.Controllers
{
    [Authenticate, InRole("ADMIN")]
    public sealed class StaticController : ExtController
    {
        [HttpGet]
        public ActionResult Home()
        {
            return View();
        }

        [HttpGet]
        public ActionResult System()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Globalization()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Membership()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Messaging()
        {
            return View();
        }

        [HttpGet]
        public ActionResult FileSystem()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Publishing()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Catalog()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Forum()
        {
            return View();
        }

        [HttpGet]
        public ActionResult Commerce()
        {
            return View();
        }
    }
}
