﻿using Xenta.Api;
using Xenta.Plugins;

namespace Xenta.Operations
{
    /// <summary>
    /// Gets the list of registered file storages.
    /// </summary>
    public class ListFileStorages : ListDependencies<IFileStorage>,
        IApiOperation
    {
    }

    /// <summary>
    /// Gets the list of registered currency rate providers.
    /// </summary>
    public class ListCurrencyRateProviders : ListDependencies<ICurrencyRateProvider>,
        IApiOperation
    {
    }

    /// <summary>
    /// Gets the list of registered message senders.
    /// </summary>
    public class ListMessageSenders : ListDependencies<IMessageSender>,
        IApiOperation
    {
    }
}
