﻿using System;

namespace Xenta.Enums
{
    /// <summary>
    /// Defines the fixed discount sales rule flags.
    /// </summary>
    [Flags]
    public enum FixedDiscountRuleFlags
    {
        /// <summary>
        /// Indicates no flags.
        /// </summary>
        None = 0x00000000,

        #region G1

        /// <summary>
        /// The amount is to be handled as a value amount.
        /// </summary>
        Value = 0x00000010,

        /// <summary>
        /// The amount is to be handled as a percent.
        /// </summary>
        Percent = 0x00000020

        #endregion
    }
}
