﻿namespace Xenta.Enums
{
    /// <summary>
    /// Defines the dependency lifestyle.
    /// </summary>
    public enum DependencyLifestyle : byte
    {
        /// <summary>
        /// Transient lifestyle.
        /// </summary>
        Transient = 1,

        /// <summary>
        /// Scoped lifestyle.
        /// </summary>
        Scoped = 2,

        /// <summary>
        /// Singleton lifestyle.
        /// </summary>
        Singleton = 3
    }
}
