﻿using System.Collections.Generic;
using Xenta.Operations;

namespace Xenta.Security
{
    /// <summary>
    /// Exposes the secured operation interface.
    /// </summary>
    public interface ISecuredOperation : IOperation
    {
        #region Properties

        /// <summary>
        /// Gets the collection of security policies.
        /// </summary>
        IEnumerable<SecurityPolicy> SecurityPolicies
        {
            get;
        }

        #endregion
    }
}
