﻿using System;
using System.Collections.Generic;

namespace Xenta.Structs
{
    /// <summary>
    /// Represent the API handler info.
    /// </summary>
    public struct HandlerInfo
    {
        /// <summary>
        /// Gets or sets the handler global unique identifier.
        /// </summary>
        public Guid Guid
        {
            get;
            set;
        }

        /// <summary>
        /// Gets or sets the dictionary of the handler specific properties.
        /// </summary>
        public Dictionary<String, String> Properties
        {
            get;
            set;
        }
    }
}
