﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="DatabaseControl.ascx.cs" Inherits="IisHost.UI.DatabaseControl" %>

<section class="block">
    <header>
        <h2>Database Manager</h2>
        <ul class="toolbar">
            <li><asp:Button runat="server" ID="btnRunScript" OnCommand="OnCommand" CommandName="RunScript" Text="Run Script" ValidationGroup="Database" /></li>
        </ul>
    </header>
    <section>
        <table class="form">
            <tr>
                <td>
                    <label>Source</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtSource" ValidationGroup="Database" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>Database</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtDatabase" ValidationGroup="Database" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>Username</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtUsername" ValidationGroup="Database" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>Password</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtPassword" ValidationGroup="Database" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>Create database, if not exists</label>
                </td>
                <td>
                    <asp:CheckBox runat="server" ID="cbCreateDatabase" ValidationGroup="Database" Checked="False" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>Script file</label>
                </td>
                <td>
                    <asp:FileUpload runat="server" ID="fuScriptFile" ValidationGroup="Database" />
                </td>
            </tr>
        </table>
        <ul runat="server" ID="lstMessage" class="message">
            <asp:Literal runat="server" ID="lblMessage" />
        </ul>
    </section>
</section>