﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="RuntimeControl.ascx.cs" Inherits="IisHost.UI.RuntimeControl" %>

<section class="block">
    <header>
        <h2>Runtime State</h2>
        <ul class="toolbar">
            <li><asp:Button runat="server" ID="btnStart" OnCommand="OnCommand" CommandName="Start" Text="Start/Reset" ValidationGroup="None" /></li>
            <li><asp:Button runat="server" ID="btnStop" OnCommand="OnCommand" CommandName="Stop" Text="Stop" ValidationGroup="None" /></li>
        </ul>
    </header>
    <section>
        <asp:Repeater runat="server" ID="lstState" OnItemDataBound="lstState_OnItemDataBound">
            <HeaderTemplate>
                <ul class="circle">
            </HeaderTemplate>
            <ItemTemplate>
                <li><asp:Literal runat="server" ID="lblState" /></li>
            </ItemTemplate>
            <FooterTemplate>
                </ul>
            </FooterTemplate>
        </asp:Repeater>
        <asp:Label CssClass="message" runat="server" ID="lblMessage" />
    </section>
</section>