﻿using System;
using System.Collections.Generic;
using Xenta.Entities;

namespace Xenta.Plugins
{
    /// <summary>
    /// Exposes the currency exchange rate provider interface.
    /// </summary>
    public interface ICurrencyRateProvider : IPlugin
    {
        #region Methods

        /// <summary>
        /// Fills the dictionary with the exchange rates.
        /// </summary>
        /// <param name="rates">The dictionary to fill.</param>
        void GetRates(IDictionary<CurrencyEntity,Decimal> rates);

        #endregion
    }
}
