﻿
namespace Xenta.Enums
{
    /// <summary>
    /// Defines the attribute sort options.
    /// </summary>
    public enum LookupAttributeSortBy : byte
    {
        /// <summary>
        /// Order by identifier.
        /// </summary>
        ID,

        /// <summary>
        /// Order by display order.
        /// </summary>
        DisplayOrder,

        /// <summary>
        /// Order by creation date.
        /// </summary>
        CreatedOn
    }
}
