﻿namespace Xenta.Enums
{
    /// <summary>
    /// Defines the fetch level.
    /// </summary>
    public enum FetchLevel : byte
    {
        /// <summary>
        /// No fetch.
        /// </summary>
        None = 0,

        /// <summary>
        /// Base fetch.
        /// </summary>
        Base = 1,

        /// <summary>
        /// Extended fetch.
        /// </summary>
        Extended = 2,

        /// <summary>
        /// Entire fetch.
        /// </summary>
        Entire = 3
    }
}
