﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="NHibernateControl.ascx.cs" Inherits="IisHost.UI.NHibernateControl" %>

<section class="block">
    <header>
        <h2>NHibernate Configuration</h2>
        <ul class="toolbar">
            <li><asp:Button runat="server" ID="btnSave" OnCommand="OnCommand" CommandName="Save" Text="Save" ValidationGroup="NHibernate" /></li>
        </ul>
    </header>
    <section>
        <table class="form">
            <tr>
                <td>
                    <label>connection.provider</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtConnection_Provider" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>connection.driver_class</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtConnection_DriverClass" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>connection.connection_string</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtConnection_ConnectionString" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>show_sql</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtShowSql" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>prepare_sql</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtPrepareSql" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>generate_statistics</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtGenerateStatistics" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>dialect</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtDialect" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>cache.use_second_level_cache</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtCache_UseSecondLevelCache" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>cache.use_query_cache</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtCache_UseQueryCache" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>cache.region_prefix</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtCache_RegionPrefix" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>cache.provider_class</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtCache_ProviderClass" ValidationGroup="NHibernate" />
                </td>
            </tr>
            <tr>
                <td>
                    <label>max_fetch_depth</label>
                </td>
                <td>
                    <asp:TextBox runat="server" ID="txtMaxFetchDepth" ValidationGroup="NHibernate" />
                </td>
            </tr>
        </table>
        <asp:Label CssClass="message" runat="server" ID="lblMessage" />
    </section>
</section>