﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="PluginControl.ascx.cs" Inherits="IisHost.UI.PluginControl" %>

<section class="block">
    <header>
        <h2>Plugin Manager</h2>
        <ul class="toolbar">
            <li><asp:Button runat="server" ID="btnSave" OnCommand="OnCommand" CommandName="Save" Text="Save" ValidationGroup="Plugins" /></li>
        </ul>
    </header>
    <section>
        <asp:GridView runat="server" ID="gvPlugins" AutoGenerateColumns="False" Width="100%">
            <Columns>
                <asp:TemplateField HeaderText="Name" ItemStyle-Width="80%">
                    <ItemTemplate>
                        <asp:HiddenField runat="server" ID="hdnName" Value='<%# Eval("Name") %>' />
                        <%# Eval("Name") %>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:TemplateField HeaderText="Enabled" ItemStyle-Width="20%" ItemStyle-HorizontalAlign="Center">
                    <ItemTemplate>
                        <asp:CheckBox runat="server" Checked='<%# Eval("Enabled") %>' ID="cbEnabled" />
                    </ItemTemplate>
                </asp:TemplateField>
            </Columns>
            <EmptyDataTemplate>
                <span class="message">No plugins or not initialized</span>
            </EmptyDataTemplate>
        </asp:GridView>
        <asp:Label CssClass="message" runat="server" ID="lblMessage" />
    </section>
</section>